> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/android/connectioninfo.md).

# ConnectionInfo

Create an instance of the `ConnectionInfo` using `IDevice.getConnectionInfo()`. Then use the function calls described in this chapter.

## getAddress

This function returns address of the device.

```java
String ConnectionInfo.getAddress();
```

**Return Value:**

Returns the address of the device.

## getConnectionType

This function returns the type of connection Interface for the device.

```java
ConnectionType ConnectionInfo.getConnectionType();
```

**Return Value:**

Returns the `ConnectionType`.

## getDeviceType

This function returns the type for the device.

```java
DeviceType ConnectionInfo.getDeviceType();
```

**Return Value:**

Returns the `DeviceFeature`.

This enum refers to a featured supported by the device.

| Enum              | Description                   |
| ----------------- | ----------------------------- |
| None              | No feature.                   |
| SignatureCapture  | Supports signature capture    |
| PINEntry          | Supports PIN entry            |
| PANEntry          | Supports PAN entry            |
| ShowBarCode       | Supports display of a barcode |
| ScanBarCode       | Supports scanning a barcode   |
| DisplayMessage    | Supports display of messages  |
| Buzzer            | Has a buzzer                  |
| CardEmulation     | Supports NFC card emulation   |
| PersonalInfoEntry | Supports personal info entry  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/android/connectioninfo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
